Bug 192578 - Review Request: metamonitor - A Simple program that watches log files and popup its changes
Review Request: metamonitor - A Simple program that watches log files and pop...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael J Knox
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-05-20 18:24 EDT by Hugo Cisneiros
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-22 17:23:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Hugo Cisneiros 2006-05-20 18:24:23 EDT
Spec URL: http://www.devin.com.br/eitch/rpm/fedora/metamonitor.spec
SRPM URL: http://www.devin.com.br/eitch/rpm/fedora/5/SRPMS/metamonitor-0.4.5-1.src.rpm
Description:

metamonitor is a simple program written for KDE, which watches the syslog's or metalog's log file and pops up the window whenever the new message comes. You can specify the file to watch and a regular expression for parsing the log line, so you can watch other than log files too.
Comment 1 Parag AN(पराग) 2006-06-01 05:54:21 EDT
Not a Review but some hints to improve Packaging
1) Got error when ran rpmlint on SRPM
E: metamonitor description-line-too-long can specify the file to watch and a
regular expression for parsing the log line,
Wrap the %description at 80 columns
2) A lot of compilation warnings
Comment 2 Hugo Cisneiros 2006-06-08 20:24:15 EDT
Thanks for your comment.

Updated package:

Spec URL: http://www.devin.com.br/eitch/rpm/fedora/metamonitor.spec
SRPM URL: 
http://www.devin.com.br/eitch/rpm/fedora/5/SRPMS/metamonitor-0.4.5-2.src.rpm

Changes:

- Fixed description field size
- Applied patch (0) to modify a symlink to be relative
Comment 3 Michael J Knox 2006-07-21 05:16:46 EDT
Hey.. I will review this submission...

----------------------------------------

Review for release 2:

* RPM name is OK
* Source metamonitor-0.4.5.tar.bz2 is the same as upstream
* Builds fine in mock
* File list looks OK

Needs work:
* rpmlint: need to fix rpmlint warnings

Minor:
* Duplicate BuildRequires: arts-devel (by kdelibs-devel), qt-devel (by
kdelibs-devel)


Notes:
rpmlint of metamonitor:
W: metamonitor dangling-relative-symlink
/usr/share/doc/HTML/en/metamonitor/common ../../en/common

Package looks good, fixup the above and I will give it the green light. 
Comment 4 Hugo Cisneiros 2006-07-21 15:37:46 EDT
Hi Michael,

Searching about the dangling link says that it could (and should) be ignored, 
it's not a problem, even if rpmlint warns against it. Many KDE apps have this 
warning with symlinks on their help files, including the base ones.

But I removed the BR as suggested. Thanks!
Comment 5 Michael J Knox 2006-07-22 15:47:41 EDT
OK, none of those are blockers, so cosider this APPROVED. 

Please remember to close this review once the package has been imported into CVS
and built. 
Comment 6 Hugo Cisneiros 2006-07-22 17:23:57 EDT
Imported and built! Closing. Thanks.

Note You need to log in before you can comment on or make changes to this bug.